// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#000');

var win1 = Titanium.UI.createWindow({
	title : 'Tab 1',
	backgroundColor : '#fff'
});

/**
 * Override the Alloy createController method.
 *
 * Prepends 'ipad/' to the controller name if the controller exist in the ipad folder
 */
var getController = function(name) {
	var osname = Ti.Platform.osname;
	if (osname == 'ipad') {
		name = 'HelloWorld';
		Ti.API.info('iPad this time');
	}
	var controllerPath = Ti.Filesystem.resourcesDirectory + 'alloy/controllers/';
	// search controller in the os name folder
	var controllerName = osname + '/' + name;
	var file = Ti.Filesystem.getFile(controllerPath, controllerName + '.js');
	//Ti.API.info(name +' controllerPath + controllerName: '+ controllerPath + controllerName );
	// load the controller in the platform folder if found, other load the default
	if (file.exists()) {
		//name = controllerName;
		Ti.API.info('file.nativePath: ' + file.nativePath);
		return require('alloy/controllers/' + controllerName).HelloWorld();
		//return require(name).HelloWorld();
	} else {
		Titanium.API.log('Controller Name: ' + controllerName);
		return require('alloy/controllers/' + controllerName).HelloWorld();
	}

};

/**
 * Loads "ipad/HelloWorld.js" for ipad, and "HelloWorld.js" for other devices
 */
var controllerName = 'HelloWorld';
var label = getController(controllerName);

win1.add(label);

win1.open();
